<!-- Readme.md v1.1.3.0
SimpleConstruction
created: 17 Jul 18
updated: 2020 03 27 -->

[MODVERSION]: 4.0.2.3
[KSPVERSION]: 1.8.x
## Download on [SpaceDock][MOD:rel-spacedock] or [Github][MOD:rel-github] or [Curseforge][MOD:rel-curseforge]. Also available on [CKAN][MOD:rel-ckan]. 
# SimpleConstruction! (SC!)
![Mod Version][shield:mod:latest] 
![KSP version][shield:ksp] ![KSP-AVC][shield:kspavc] ![License MIT][shield:license] ![][LOGO:mit]   
![SpaceDock][shield:spacedock] ![CKAN][shield:ckan] ![GitHub][shield:github] ![Curseforge][shield:curseforge]  
![Validate AVC .version files][shield:avcvalid]  

> ***This mod aims to provide simple craft building capability in flight mode to stock parts.***  

## Author
adopted for curation by [***@zer0Kerbal***][LINK:zer0Kerbal]  
from [*@EricWi*][LINK:ericwi] from [*@RealGecko*][LINK:realgecko] Originally created by [***MatterBeam***][LINK:matterbeam]  

![SC FLag][IMG:hero:0]  
![SimpleConstruction!][IMG:hero:1]  

## Description
After testing out Extraplanetary Launchpads and Roverdude's MK/OKS, [@MatterBeam][LINK:matterbeam] had the idea of creating a simple, user friendly mod that would allow you to build rockets without taking a 200MB hit to RAM or having to juggle multitudes of resource pathways. If you know how to set up a drill, ISRU and a fuel tank for an Ore to Fuel conversion, then you should know how to build rockets.

## Features
- No extra parts
- No RAM usage
- Added functionality for the Mobile Processing Lab in the late game
- Simple, configurable and adds levels of depth to the gameplay without a learning curve
***
### Kottabo Talks SimpleConstruction!
[![][UTUBE:img]][UTUBE:link]
***
### Full Changelog:
*See [ChangeLog][MOD:changelog] for full details of mod changes*
***
### Known Issues:
*See [Known Issuues][MOD:known] for any known issues*
***
### Installation Directions:
- Use  
[![CKAN][image:rel-ckan]][thread:ckan]
### Dependencies
- [x] [Kerbal Space Program][KSP:website] [![KSP][shield:ksp]][KSP:website] ***may*** work on other versions (YMMV)
- [x] [Module Manager][thread:mm] [^1]
### Recomends
- [x] [KerbalStats](https://forum.kerbalspaceprogram.com/index.php?/topic/89285-*)
- [x] [B9 Stock Patches][thread:B9S]  
- [x] [B9PartSwitcher][thread:B9] *or* [Interstellar Fuel Switch Core][thread:ifsc]  
- [x] [Not So SimpleConstructon!][thread:NSSC] 
### Suggests *(mods that benefit SimpleConstruction!)*
- [x] [Community Resource Pack][thread:crp]
- [x] [TweakScale][thread:twk]
- [x] [Toolbar][thread:tool]  
- [x] [Mining Expansion][thread:smx]  
- [x] [Community Resource Pack][thread:crp]  
- [x] [Kerbal Inventory System][thread:kis]  
- [x] [Kerbal Attachment System][thread:kas]  
- [x] [Infernal Robotics - Next][thread:irn]
- [x] [Alternative Resource Panel(ARP)][thread:arp]  
- [x] [Olympic's ARP Icons (ARPI)][thread:arpi]  
### Suggests  *(other fun mods by zed'K)*:
- [x] [B9 Stock Patches (B9S)][thread:B9S]
- [x] [KGEx][thread:KGX]  
- [x] [On Demand Fuel Cells (ODFC)][thread:ODFC]  
- [x] [Field Training Lab (FTL)][thread:FTL]  
- [x] [Field Training Facility (FTF)][thread:FTF]  
- [x] [Docking Port Descriptions(DPD)][thread:DPD]  
- [x] [PicoPort Shielded (PPS)][thread:PPS]  
- [x] [Transparent Command Pods Repressurized)(TCP)][thread:TCP]  
- [x] [Biomatic][thread:BIO]
- [x] [Oh Scrap!][thread:OHS]:  
- [x] [ScrapYard][thread:SYD]:  
- [x] [DaMichel's AeroRadial][thread:DAR]  
- [x] [DaMichel's CargoBays][thread:DCB]  
- [x] [DaMichel's Fuselage][thread:DMF]  
- [x] [DaMichel's Spherical Tanks][thread:DST]  
- [x] [Stork Delivery System (SDS)][thread:SDS]  
- [x] [SimpleLogistics!][thread:SL!]  
### Supports
- [x] [B9 Stock Patches][thread:B9S]  
- [x] [Kerbal Change Log][thread:kcl]  
- [x] [Kethane/KethanePlus][thread:keth]  
- [x] [Extraplanetary Launchpads - No More Production][thread:elx]  
### Conflicts
- [x] [ExtraPlanatary Launchpads][thread:epl]  
### Possible Conflicts
- [x] [MKS]() maybe?
***  
*red box below is a link to forum post on how to get support*  
[![How to get support][image:get-support]][thread:getsupport]
### Special Thanks:
- [@RealGecko][LINK:realgecko], [@Ericwi][LINK:ericwi], @maculator, @taniwha, @Eleusis La Arwall, @Badsector, @cy-one for their contributions.
- [@MatterBeam][LINK:matterbeam] for creating this cool mod. 
### License
#### aka Legal Mumbo Jumbo
License: ![License MIT][shield:license] ![][LOGO:mit]    
Source: [GitHub][MOD:github:repo]  
## Disclaimers:
This mod contains [@taniwha][LINK:taniwha] 's Launchpad.dll and textures from his [Extraplanetary Launchpads][thread:epl].
> *** All bundled mods are distributed under their own licenses***  
> *** All art assets (textures, models, animations) are distributed under their own licenses***   
### Original  
Author: [@MatterBeam][LINK:matterbeam]  
Maintainer(s): [@RealGecko][LINK:realgecko] - [@EricWI][LINK:ericwi]  
[Thread][MOD:original:thread]  
[Download][MOD:original:download]  
Source: [GitHub][MOD:original:source]  
License: ![License CC BY-NC-SA 4.0][shield:original:license] ![][LOGO:ccbyncsa40]  [^2]
***  
[![][image:rel-github]][MOD:rel-github] [![][image:rel-spacedock]][MOD:rel-spacedock] [![][image:rel-curseforge]][MOD:rel-curseforge] 
###### v4.0.2.4 original: 11 Aug 2018 zed'K | updated: 2020 Mar 27 zed'K
[MOD:license]:      https://github.com/zer0Kerbal/SimpleConstruction/blob/master/LICENSE
[MOD:contributing]: https://github.com/zer0Kerbal/SimpleConstruction/blob/master/.github/CONTRIBUTING.md
[MOD:issues]:       https://github.com/zer0Kerbal/SimpleConstruction/issues  
[MOD:wiki]:         https://github.com/zer0Kerbal/SimpleConstruction/  
[MOD:known]:        https://github.com/zer0Kerbal/SimpleConstruction/wiki/Known-Issues  
[MOD:forum]:        https://forum.kerbalspaceprogram.com/index.php?/topic/192696-*   
[MOD:github:repo]:  https://github.com/zer0Kerbal/SimpleConstruction/
[MOD:changelog]:    https://raw.githubusercontent.com/zer0Kerbal/SimpleConstruction/master/Changelog.cfg
[KSP:website]:      http://kerbalspaceprogram.com/

<!--- original mod stuff -->
[MOD:original:source]:   https://github.com/Real-Gecko/KSP-SimpleConstruction  
[MOD:original:thread]:   https://forum.kerbalspaceprogram.com/index.php?/topic/131588-* "MatterBeam's"  
[MOD:original:download]: https://github.com/Real-Gecko/KSP-SimpleConstruction "RealGecko's GitHub Repo"  
[shield:original:license]:  https://img.shields.io/badge/license-CC--BY--NC--SA--4.0-lightgrey "CC BY-NC-SA 4.0"  

<!--- license logo urls -->
[LOGO:mit]:   https://i.postimg.cc/bvjfsMP5/MIT-17x17.png "MIT"  
[LOGO:ccbyncsa40]: https://licensebuttons.net/l/by-nc-sa/4.0/80x15.png "CC BY-NC-SA 4.0"  

[MOD:rel-github]:    https://github.com/zer0Kerbal/SimpleConstruction/releases/latest "GitHub"
[MOD:rel-spacedock]: http://spacedock.info/mod/59
[MOD:rel-curseforge]: https://www.curseforge.com/kerbal/ksp-mods/sc
[MOD:rel-ckan]:       http://forum.kerbalspaceprogram.com/index.php?/topic/90246-*

[image:rel-github]:     https://i.imgur.com/RE4Ppr9.png
[image:rel-spacedock]:  https://i.imgur.com/m0a7tn2.png
[image:rel-curseforge]: https://i.postimg.cc/RZNyB5vP/Download-On-Curse.png
[image:get-support]:    https://i.postimg.cc/vHP6zmrw/image.png

[image:rel-ckan]:  https://i.postimg.cc/x8XSVg4R/sj507JC.png
[image:changelog]: https://i.postimg.cc/qM9p4V0C/changelog.png
[image:source]:    https://i.postimg.cc/tJ8GqW0H/source.png

[shield:mod:latest]: https://img.shields.io/github/v/release/zer0Kerbal/SimpleConstruction?include_prereleases?style=plastic
[shield:mod]: https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/zer0Kerbal/SimpleConstruction/master/json/mod.json
[shield:ksp]: https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/zer0Kerbal/SimpleConstruction/master/json/ksp.json
[shield:license]: https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/zer0Kerbal/SimpleConstruction/master/json/license.json

[shield:code]:    https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/zer0Kerbal/SimpleConstruction/master/json/code.json  
[shield:kspavc]:     https://img.shields.io/badge/KSP-AVC--supported-brightgreen.svg?style=plastic
[shield:spacedock]:  https://img.shields.io/badge/SpaceDock-listed-blue.svg?style=plastic
[shield:ckan]:       https://img.shields.io/badge/CKAN-Indexed-blue.svg?style=plastic
[shield:github]:     https://img.shields.io/badge/Github-Indexed-blue.svg?style=plastic&logo=github
[shield:curseforge]: https://img.shields.io/badge/CurseForge-listed-blue.svg?style=plastic  
[shield:avcvalid]:   https://github.com/zer0Kerbal/SimpleConstruction/workflows/Validate%20AVC%20.version%20files/badge.svg

<!-- zer0Kerbal mods -->
[thread:ODFC]: https://forum.kerbalspaceprogram.com/index.php?/topic/187625-* "On Demand Fuel Cells"
[thread:NSSC]: https://forum.kerbalspaceprogram.com/index.php?/topic/191504-* "Not So SimpleConstructon!"  
[thread:FTF]: https://forum.kerbalspaceprogram.com/index.php?/topic/188841-* "Field Training Facility"
[thread:FTL]: https://forum.kerbalspaceprogram.com/index.php?/topic/188841-* "Field Training Lab"
[thread:MHH]: https://forum.kerbalspaceprogram.com/index.php?/topic/188246-* "More Hitchhikers"
[thread:TCP]: https://forum.kerbalspaceprogram.com/index.php?/topic/187495-* "Transparent Command Pods"
[thread:NUK]: https://forum.kerbalspaceprogram.com/index.php?/topic/21466-*  "Nuke Tiny Parts"  
[thread:OHS]: https://forum.kerbalspaceprogram.com/index.php?/topic/192360-* "Oh Scrap!"
[thread:SYD]: https://forum.kerbalspaceprogram.com/index.php?/topic/192360-* "ScrapYard"
[thread:DPD]: https://forum.kerbalspaceprogram.com/index.php?/topic/192184-* "Docking Port Descriptions (DPD)"   
[thread:PPS]: https://forum.kerbalspaceprogram.com/index.php?/topic/192187-*  "PicoPort Shielded (PPS)"  
[thread:DST]: https://forum.kerbalspaceprogram.com/index.php?/topic/191719-* "DaMichel's Spherical Tanks (DST)"  
[thread:DMF]: https://forum.kerbalspaceprogram.com/index.php?/topic/191719-* "DaMichel's Fuselage (DMF)"  
[thread:DAR]: https://forum.kerbalspaceprogram.com/index.php?/topic/191719-* "DaMichel's AeroRadial (DAR)"  
[thread:DCB]: https://forum.kerbalspaceprogram.com/index.php?/topic/191719-* "DaMichel's CargoBays (DCB)"  
[thread:SDS]: https://forum.kerbalspaceprogram.com/index.php?/topic/191719-* "Stork Delivery System (SDS)"  
[thread:SC!]: https://forum.kerbalspaceprogram.com/index.php?/topic/191424-* "SimpleConstructon!"  
[thread:SL!]: https://forum.kerbalspaceprogram.com/index.php?/topic/191045-* "SimpleLogistics!"  
[thread:BIO]: https://forum.kerbalspaceprogram.com/index.php?/topic/191426-* "Biomatic"  
[thread:B9S]: https://forum.kerbalspaceprogram.com/index.php?/topic/190870-* "B9 Stock Patches"  
[thread:CTN]: http:// "CTN (CTN)"  
[thread:DRL]: https:// "DRElite (DRL)"  
[thread:VG0]: https:// "Vanguard (VG0)"  
[thread:PRB]: https:// "ProbiTronics (BPT)"  
[thread:HB!]: https:// "HotBeverages (HBR)"  

[thread:mm]:   http://forum.kerbalspaceprogram.com/index.php?/topic/50533-* "ModuleManager"  
[thread:kcl]:  https://forum.kerbalspaceprogram.com/index.php?/topic/179207-* "Kerbal Changelog"  
[thread:ckan]: https://forum.kerbalspaceprogram.com/index.php?/topic/154922-* "CKAN"  

[thread:B9]:  https://forum.kerbalspaceprogram.com/index.php?showtopic=140541/ "B9 Part Switcher"  
[thread:twk]: https://forum.kerbalspaceprogram.com/index.php?/topic/179030-* "TweakScale"
[thread:crp]: https://forum.kerbalspaceprogram.com/index.php?/topic/83007-* "Community Resource Pack" 
[thread:kas]: https://forum.kerbalspaceprogram.com/index.php?/topic142594-* "KAS"  
[thread:KGX]: https://github.com/zer0Kerbal/ "KGEx"  
[thread:kis]: https://forum.kerbalspaceprogram.com/index.php?/topic/149848-* "KIS"  
[thread:irn]: https://forum.kerbalspaceprogram.com/index.php?/topic/184787-* "IR-Next"   
[thread:smx]: https://forum.kerbalspaceprogram.com/index.php?/topic/130325-* "SMX"  
[thread:elx]: https://github.com/theRagingIrishman/USI_EL "EL - No More Production"  
[thread:arp]: https://forum.kerbalspaceprogram.com/index.php?/topic/54876-* "Alternative Resource Panel"  
[thread:arpi]: https://forum.kerbalspaceprogram.com/index.php?/topic/92866-* "Olympic's Alternative Resource Panel Icons"  
[thread:epl]: https://forum.kerbalspaceprogram.com/index.php?/topic/54284-* "ExtraPlanetary Launchpads"  
[thread:tool]: https://forum.kerbalspaceprogram.com/index.php?/topic/161857-* "Toolbar"
[thread:keth]: http://forum.kerbalspaceprogram.com/index.php?/topic/119480-* "Kethane/Kethane+"  
[thread:ifsc]: http://forum.kerbalspaceprogram.com/index.php?/topic/106243-* "Interstellar Fuel Switch Core"  

[image:get-support]: https://i.postimg.cc/vHP6zmrw/image.png "Click here: takes you to a forum post on how to get support"  
[thread:getsupport]: https://forum.kerbalspaceprogram.com/index.php?/topic/83212-* "Click here: takes you to a forum post on how to get support"  

[LINK:zer0Kerbal]: https://forum.kerbalspaceprogram.com/index.php?/profile/190933-zer0kerbal/ "zer0Kerbal"  
[LINK:matterbeam]: http://forum.kerbalspaceprogram.com/index.php?/profile/133334-matterbeam/ "MatterBeam"  
[LINK:realgecko]: https://forum.kerbalspaceprogram.com/index.php?/profile/162682-realgecko/ "RealGecko"  
[LINK:ericwi]: https://forum.kerbalspaceprogram.com/index.php?/profile/152716-ericwi/ "EricWi"  
[LINK:taniwha]: https://forum.kerbalspaceprogram.com/index.php?/profile/57176-taniwha/ "Taniwha"  

[IMG:hero:0]: https://i.imgur.com/y01A9en.png "SimpleConstruction! Flag"  
[IMG:hero:1]: https://spacedock.info/content/matterbeam_328/SimpleConstruction/SimpleConstruction-1455675320.902058.jpg "SimpleConstruction"  

[IMG:hero:2a]: https://i.imgur.com/zqg2qcv.png "Mining Ore"  
[IMG:hero:2b]: https://i.imgur.com/R6IYn5V.png "Refining Ore to Metal"  
[IMG:hero:2c]: https://i.imgur.com/jhbus6m.png "Printing Rocketparts from Metal"  
[IMG:hero:2d]: https://i.imgur.com/6v9gwma.png "Building Rockets"  
[IMG:hero:2e]: https://i.imgur.com/nmq46HA.png "Finalize build!"  

[UTUBE:img]:  https://img.youtube.com/vi/3T_dren-6cc/0.jpg "YouTube! link"  
[UTUBE:link]: https://youtu.be/3T_dren-6cc "Kottabo Talks SimpleConstruction!"  

[^1]: *Be Kind: Lithobrake, not jakebrake! Keep your Module Manager up to date* "*Be Kind: Lithobrake, not jakebrake! Keep your Module Manager up to date*"  
[^2]: ***changed to MIT before my time.*** "***changed to MIT before my time.***"  
<!--
this file: GPLv2 2020
zer0Kerbal--> 
#### Mining Ore  
![Mining Ore"][IMG:hero:2a]  
#### Refining Ore to Metal  
![Refining Ore to Metal][IMG:hero:2b]  
#### Printing Rocketparts from Metal
![Printing Rocketparts from Metal][IMG:hero:2c]  
#### Building Rockets  
![Building Rockets][IMG:hero:2d]  
Finalize build!
#### Finalize build!  
![Finalize build!][IMG:hero:2e]  
